package com.ss.android.ugc.aweme.playerkit.configpickerimpl.data;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.google.gson.j;
import java.util.List;
import java.util.Map;

public class ConditionConfig {
    @c(LIZ = "client_filter_requirement")
    public Map<String, List<String>> LIZ;
    @c(LIZ = "server_filter_requirement")
    public Map<String, List<String>> LIZIZ;
    @c(LIZ = "config")
    public j LIZJ;

    static {
        Covode.recordClassIndex(97239);
    }

    public final int LIZ() {
        int size;
        Map<String, List<String>> map = this.LIZ;
        int i = 0;
        if (map == null) {
            size = 0;
        } else {
            size = map.size();
        }
        Map<String, List<String>> map2 = this.LIZIZ;
        if (map2 != null) {
            i = map2.size();
        }
        return size + i;
    }
}
